Bug 178500 - NMI Watchdog detected LOCKUP on CPU
NMI Watchdog detected LOCKUP on CPU
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-01-20 18:21 EST by Jim Howard
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-22 02:27:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
complete console output. (7.82 KB, text/plain)
2006-01-20 18:26 EST, Jim Howard
no flags Details

  None (edit)
Description Jim Howard 2006-01-20 18:21:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
Under load, we get the following error on the console running a DB2 Database application:

                            NMI Watchdog detected LOCKUP on CPU2CPU 2 
Modules linked in: nfsd exportfs md5 ipv6 autofs4 i2c_dev i2c_core nfs lockd sunrpc pcmcia yenta_socket rsrc_nonstatic pcmcia_core video button battery d
Pid: 4842, comm: db2sysc Not tainted 2.6.12-1.1381_FC3smp
RIP: 0010:[<ffffffff8013e198>] <ffffffff8013e198>{del_timer_sync+111}
RSP: 0018:ffff810126c6feb8  EFLAGS: 00000046
RAX: ffff8100052b7960 RBX: ffff81012a313c30 RCX: 0000000000000000
RDX: 0000000000000003 RSI: 0000000000000003 RDI: 000000000000000f
RBP: 0000000000000000 R08: ffffffff80523a00 R09: 0000000000000020
R10: 0000000043d16790 R11: 0000000000000246 R12: ffff810126c6ff18
R13: 0000000000000001 R14: 0000000000000000 R15: 00007fffff9453c0
FS:  00002aaaae7841c0(0000) GS:ffffffff804e1400(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00000002252f6004 CR3: 00000001272de000 CR4: 00000000000006e0
Process db2sysc (pid: 4842, threadinfo ffff810126c6e000, task ffff810127ecf7c0)
Stack: 0000000000000000 ffff810126c6ff38 ffff810127ecf7c0 ffffffff80139d0a 
       ffff810094138840 ffff810127ecf7c0 00007fffff945140 ffff810126c6ff38 
       0000000000000000 00007fffff945528 
Call Trace:<ffffffff80139d0a>{do_setitimer+131} <ffffffff8013a14a>{sys_setitimer+93}

[...]  Please see attachment for complete dump to console.

Version-Release number of selected component (if applicable):
Kernel 2.6.12-1.1381_FC3smp on an x86_64

How reproducible:

Steps to Reproduce:
1. Restart the system, let it run for a while with load 

Actual Results:  The error itself is repeatable, it just can't seem to be forced to happen at will.  Sometimes it will run for a day sometimes for just half an hour.

Expected Results:  The machine should have not locked up with a kernel panic.

Additional info:

Please see attachement for complete console dump.
Comment 1 Jim Howard 2006-01-20 18:26:03 EST
Created attachment 123510 [details]
complete console output.
Comment 2 Jim Howard 2006-01-20 18:32:16 EST
More system information:

The machine is a Dell 2850 with 2x 3.0Ghz 1 Meg cache cpus.  It is using the
onboard RAID controller, and is a fairly standard install.  The database is DB2
v8.2 Enterprise.
Comment 3 Dave Jones 2006-01-22 02:27:26 EST
with the release of Fedora Core 5 test2, FC3 has now reached end-of-life.  The
fedora-legacy team provide security updates for older releases, but not general
bug fixes due to limited resources.

If you can reproduce this bug with Fedora Core 4, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.